# Installer
This script downloads everything I need to get a functional working setup. 

The script installs the following software with my custom configurations:
- [dwl](https://codeberg.org/dwl/dwl) (window manager, with [my fork](https://git.amolinae.com/amolinae06/dwl))
- [fuzzel](https://codeberg.org/dnkl/fuzzel) (app launcher)
- [foot](https://codeberg.org/dnkl/foot) (terminal)
- [zsh](https://www.zsh.org) (shell)
- [lf](https://github.com/gokcehan/lf) (file manager)
- [imv](https://sr.ht/~exec64/imv) (image viewer)
- [mpv](https://mpv.io) (video player)
- [btop](https://github.com/aristocratos/btop) (resource monitor)
- [librewolf](https://librewolf.net) (web browser)
- [zathura](https://pwmt.org/projects/zathura) (pdf viewer)
- [neovim](https://neovim.io) (text editor/code editor)
- [spotify_player](https://github.com/aome510/spotify-player) (as music player)

## Installation
You need to have an Alpine Linux installation with at least one user. To run this script, you need to be on the `edge` branch and have the `community` and `testing` repositories enabled.

```sh
wget https://git.amolinae.com/amolinae06/installer/raw/branch/main/installer.sh && doas sh installer.sh
```

It will prompt for a username, you'll need to input the user you want the dotfiles, chroot, and shell setup installed to. (e.g. amolinae, leon, etc.)

The whole installation shouldn't take more than `6 minutes`. After it finishes it is time to make a few extra setup steps such as installing nvidia drivers or amd drivers.

## TODO
- [X] Read `software.csv`
- [X] Install software.
- [X] Setup services.
- [X] Setup home directory.
- [X] Setup chroot.
- [X] Compile git software on chroot.
- [ ] Cleanup files.
- [ ] Auto reboot.
- [ ] Make the scripts look prettier.